> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bibigpt.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Transcribes an audio file into text.

> Transcribes an audio file into text. Compatible with OpenAI Whisper API format.



## OpenAPI

````yaml https://api.bibigpt.co/swagger.json post /api/v1/audio/transcriptions
openapi: 3.0.1
info:
  title: BibiGPT OpenAPI 规范
  description: 音视频 AI 学习助理的开放 API，加速音视频内容的信息提取，借助 AI 直接采取行动。
  version: v1
servers:
  - url: https://api.bibigpt.co
security: []
tags: []
paths:
  /api/v1/audio/transcriptions:
    post:
      summary: Transcribes an audio file into text.
      description: >-
        Transcribes an audio file into text. Compatible with OpenAI Whisper API
        format.
      requestBody:
        required: true
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                file:
                  type: string
                  format: binary
                language:
                  type: string
                timestamp_granularities:
                  type: string
                response_format:
                  type: string
                  enum:
                    - text
                    - json
                    - verbose_json
                    - srt
                    - vtt
                  description: The format of the response.
      responses:
        '200':
          description: The transcription result.
        '400':
          description: Bad request.
        '401':
          description: Unauthorized.
        '500':
          description: Internal server error.
      security:
        - ApiKeyAuth: []
        - OAuth2:
            - read
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: API Token for authentication. Use format 'Bearer YOUR_API_TOKEN'
    OAuth2:
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://api.bibigpt.co/api/auth/authorize
          tokenUrl: https://api.bibigpt.co/api/auth/token
          scopes:
            read: Read access to BibiGPT APIs
            write: Write access to BibiGPT APIs

````